Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.2.4 generated on January 7 2005
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kodo.jdbc.meta
Class InClassNameClassIndicator

    java.lang.Object
      |
      +--kodo.jdbc.meta.Indicator
            |
            +--kodo.jdbc.meta.ClassIndicator
                  |
                  +--kodo.jdbc.meta.ColumnClassIndicator
                        |
                        +--kodo.jdbc.meta.InValueClassIndicator
                              |
                              +--kodo.jdbc.meta.InClassNameClassIndicator

All Implemented Interfaces:
  Mapping

public class InClassNameClassIndicator
extends InValueClassIndicator

Determines the class of database records using a column holding the class name, and limits SELECTs using an IN (...) statement. This mapping initializes the possible subclasses with a SELECT DISTINCT on the class column, and thereafter assumes it has a complete list of subclasses to work with.

Field Summary
`static String` | `TYPE`

Constructor Summary
`InClassNameClassIndicator()`

Method Summary
`protected Class` | `getClass(Object indicator, ClassLoader loader)` Return the class for the given column value.
`protected Object` | `getClassIndicator(ClassMapping mapping)` Return the value the column should take.
`protected int` | `getDataStoreTypeCode()` Return the `FieldMapping` type code for the type of data stored by this indicator.
`String` | `getMappingType()` Return the abbreviated name of this mapping, or the full class name if it is a custom mapping.
`void` | `loadSubclasses(JDBCStoreManager store)` Initialize the subclass list for our base class.

Methods inherited from class kodo.jdbc.meta.InValueClassIndicator
`getClassConditions`

Methods inherited from class kodo.jdbc.meta.ColumnClassIndicator
`addMappingInfoAttributes, fromMappingInfo, getClass, getColumn, getColumns, getJDBCType, insert, map, select, setColumn, toMappingInfo`

Methods inherited from class kodo.jdbc.meta.ClassIndicator
`getClassLoader, getDefaults, newInstance, setSubclassesLoaded, subclassesLoaded, toString`

Methods inherited from class kodo.jdbc.meta.Indicator
`delete, delete, getDBDictionary, getMappingRepository, getOwnerMapping, getTable, insert, isCustomDelete, isCustomInsert, isCustomUpdate, refSchemaComponents, reverseMap, setOwnerMapping, update, update`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### TYPE

    public static final String TYPE

Constructor Detail

### InClassNameClassIndicator

    public InClassNameClassIndicator()

Method Detail

### getMappingType

    public String getMappingType()

  Description copied from interface: `Mapping`
  Return the abbreviated name of this mapping, or the full class name if it is a custom mapping.

### getDataStoreTypeCode

    protected int getDataStoreTypeCode()

  Description copied from class: `ColumnClassIndicator`
  Return the `FieldMapping` type code for the type of data stored by this indicator.
  Overrides:
    `getDataStoreTypeCode` in class `ColumnClassIndicator`

### getClassIndicator

    protected Object getClassIndicator(ClassMapping mapping)

  Description copied from class: `ColumnClassIndicator`
  Return the value the column should take.
  Overrides:
    `getClassIndicator` in class `ColumnClassIndicator`

### getClass

    protected Class getClass(Object indicator,
                             ClassLoader loader)
                      throws ClassNotFoundException

  Description copied from class: `ColumnClassIndicator`
  Return the class for the given column value.
  Overrides:
    `getClass` in class `ColumnClassIndicator`

### loadSubclasses

    public void loadSubclasses(JDBCStoreManager store)
                        throws SQLException,
                               ClassNotFoundException

  Initialize the subclass list for our base class.
  Overrides:
    `loadSubclasses` in class `ClassIndicator`

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.2.4 generated on January 7 2005
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002 SolarMetric, Inc. All Rights Reserved.